'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _Validator = require('../Validator');

var _Validator2 = _interopRequireDefault(_Validator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _newArrowCheck(innerThis, boundThis) { if (innerThis !== boundThis) { throw new TypeError("Cannot instantiate an arrow function"); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * @class ./constraints/Constraint
 */
var Constraint = function (_Component) {
  _inherits(Constraint, _Component);

  /**
   * Constructor.
   */

  /**
   * @type {String}
   */
  function Constraint() {
    var _this2 = this;

    _classCallCheck(this, Constraint);

    var _this = _possibleConstructorReturn(this, (Constraint.__proto__ || Object.getPrototypeOf(Constraint)).call(this));

    Object.defineProperty(_this, 'message', {
      enumerable: true,
      writable: true,
      value: ''
    });
    Object.defineProperty(_this, 'setValue', {
      enumerable: true,
      writable: true,
      value: function value(_value) {
        _newArrowCheck(this, _this2);

        _this.value = _value;

        return _this;
      }.bind(this)
    });
    Object.defineProperty(_this, 'getMessage', {
      enumerable: true,
      writable: true,
      value: function value() {
        _newArrowCheck(this, _this2);

        return _this.message;
      }.bind(this)
    });
    return _this;
  }

  /**
   * Sets the value to be validated.
   *
   * @param {*} value
   */


  /**
   * @type {*}
   */


  /**
   * Returns message.
   *
   * @returns {String}
   */


  return Constraint;
}(_react.Component);

exports.default = Constraint;